=== debian/control ===
Source: ntfs-3g
Section: otherosfs
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 chrpath,
 libgcrypt20-dev,
 libgpg-error-dev,
 libgnutls28-dev,
 pkg-config
Standards-Version: 4.6.0
Homepage: https://github.com/tuxera/ntfs-3g/wiki

Package: ntfs-3g
Section: otherosfs
Architecture: linux-any kfreebsd-any
Pre-Depends:
 ${misc:Pre-Depends},
 fuse3 [linux-any],
 fuse4bsd [kfreebsd-any],
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libntfs-3g89 (= ${binary:Version})
#Provides: ${ntfs-3g:Provides}
Description: read/write NTFS driver for FUSE
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.

Package: ntfs-3g-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libntfs-3g89 (= ${binary:Version}),
 ntfs-3g (= ${binary:Version})
Description: read/write NTFS driver for FUSE (development)
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.
 .
 This package contains the development files.

Package: libntfs-3g89
Section: libs
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: read/write NTFS driver for FUSE (runtime library)
 NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
 filesystem used by Microsoft Windows.
 .
 This package contains the actual library.

Package: ntfs-3g-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any kfreebsd-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fuse3-udeb,
#Provides: ${ntfs-3g-udeb:Provides}
Description: read/write NTFS driver for FUSE
