## ntfs-3g 2022.5.17

=== debian/changelog ===
ntfs-3g (1:2022.5.17-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/ntfs-3g.postinst: don't install /bin/ntfs-3g as setuid root.
    - debian/control: don't Build-Depends on libfuse-dev since the package
      is built using the --with-fuse=internal option, switch to fuse3.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Jun 2022 10:33:43 -0400

ntfs-3g (1:2022.5.17-1) unstable; urgency=high

  * New upstream release (closes: #1011770) fixing CVE-2021-46790,
    CVE-2022-30783, CVE-2022-30784, CVE-2022-30785, CVE-2022-30786,
    CVE-2022-30787, CVE-2022-30788 and CVE-2022-30789: these vulnerabilities
    may allow an attacker using a maliciously crafted NTFS-formatted image
    file or external storage to potentially execute arbitrary privileged code.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 May 2022 19:04:15 +0200
