## ntfs-3g 2022.10.3-1.2ubuntu3trisquel1

=== debian/changelog ===
ntfs-3g (1:2022.10.3-1.2ubuntu3trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 06:42:19 +0000

ntfs-3g (1:2022.10.3-1.2ubuntu3) noble; urgency=high

  * No change rebuild against libgnutls30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:29 +0200

ntfs-3g (1:2022.10.3-1.2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:10:22 +0000

ntfs-3g (1:2022.10.3-1.2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/ntfs-3g.postinst: don't install /bin/ntfs-3g as setuid root.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Mar 2024 13:32:12 +0100

ntfs-3g (1:2022.10.3-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/ntfs-3g.postinst: don't install /bin/ntfs-3g as setuid root.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 04 Mar 2024 15:39:37 -0700

ntfs-3g (1:2022.10.3-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/ntfs-3g.postinst: don't install /bin/ntfs-3g as setuid root.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 14 Feb 2023 12:47:55 -0700

ntfs-3g (1:2022.5.17-1ubuntu1.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: code execution via incorrect validation of metadata
    - debian/patches/CVE-2022-40284-1.patch: rejected zero-sized runs in
      libntfs-3g/runlist.c.
    - debian/patches/CVE-2022-40284-2.patch: avoided merging runlists with
      no runs in libntfs-3g/runlist.c.
    - CVE-2022-40284

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Nov 2022 07:53:35 -0400
