=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: ntfs-3g
 Section: otherosfs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  chrpath,
  libgcrypt20-dev,
  libgpg-error-dev,
  libgnutls28-dev,
- pkgconf
-Standards-Version: 4.7.0
+ pkg-config
+Standards-Version: 4.6.0
 Homepage: https://github.com/tuxera/ntfs-3g/wiki
-Rules-Requires-Root: binary-targets
 
 Package: ntfs-3g
 Section: otherosfs
 Architecture: linux-any kfreebsd-any
+Pre-Depends:
+ ${misc:Pre-Depends},
+ fuse3 [linux-any],
+ fuse4bsd [kfreebsd-any],
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libntfs-3g89t64 (= ${binary:Version}),
- fuse3 [linux-any],
- fuse4bsd [kfreebsd-any]
+ libntfs-3g89t64 (= ${binary:Version})
 #Provides: ${ntfs-3g:Provides}
-Suggests: fdisk
 Description: read/write NTFS driver for FUSE
  NTFS-3G uses FUSE (Filesystem in Userspace) to provide support for the NTFS
  filesystem used by Microsoft Windows.
@@ -45,7 +46,7 @@
 Package: libntfs-3g89t64
 Provides: ${t64:Provides}
 Replaces: libntfs-3g89
-Conflicts: libntfs-3g89 (<< ${source:Version})
+Breaks: libntfs-3g89 (<< ${source:Version})
 Section: libs
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
